import request from '../utils/request';
export function employee_login(data, config) {
    return request({
        url: '/tianzong/appSysUser/employee_login',
        method: 'post',
        data: data,
        ...config
    })
}

// 寄件-寄件人信息
export function getSendInfo(data) {
    return request({
        url: '/tianzong/client/without/getSendInfo',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 寄件-我的寄件
export function saveMailDo(data) {
    return request({
        url: '/tianzong/client/without/saveMail.do',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 寄件-内部件
export function saveInternal(data) {
    return request({
        url: '/tianzong/client/inside/save',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}
// 寄件-内部件-收件人
export function getUserByName(data) {
    return request({
        url: '/tianzong/user/getUserByName',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 我的寄件- 列表
export function getListByUser(data) {
    return request({
        url: '/tianzong/client/inside/getListByUser',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 我的寄件-外部件-详情
export function findWithoutInfoById(data) {
    return request({
        url: '/tianzong/client/without/findWithoutInfoById',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}
// 我的寄件-内部件-详情
export function findInsideInfoById(data) {
    return request({
        url: '/tianzong/client/inside/findInsideInfoById',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 我的收件- 收件
export function getExpressByUser(data) {
    return request({
        url: '/tianzong/client/inside/getExpressByUser',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

// 我的-个人信息
export function getUserByUserId(data) {
    return request({
        url: '/tianzong/client/user/getUserByUserId',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}
// 我的-修改个人信息
export function UserUpdate(data) {
    return request({
        url: '/tianzong/client/user/update',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

//获取微信
export function getWxConfig(data) {
    return request({
        url: '/tianzong/weixin/getWxConfig',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}

//快递公司
export function geLogisticsList(data) {
    return request({
        url: '/tianzong/set/geLogisticsList',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}


//修改密码
export function forgetPassword(data) {
    return request({
        url: '/tianzong/appSysUser/forgetPassword',
        method: 'post',
        data: data,
        emulateJSON: true
    })
}









